> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get used MMRs

> Retrieves the list of MMRs (Merkle Mountain Ranges) used by a specific task. This endpoint does not require authentication.



## OpenAPI

````yaml /data-processor-api/openapi/openapi-hdp-server.json get /tasks/{uuid}/mmrs
openapi: 3.1.0
info:
  title: Herodotus Data Processor Server API
  description: API documentation for the Herodotus Data Processor Server
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://staging.hdp.api.herodotus.cloud
    description: Staging API endpoint
security: []
tags:
  - name: tasks
    description: Task management endpoints
  - name: health
    description: Health check endpoints
  - name: modules
    description: Module registry endpoints
paths:
  /tasks/{uuid}/mmrs:
    get:
      tags:
        - tasks
      summary: Get used MMRs
      description: >-
        Retrieves the list of MMRs (Merkle Mountain Ranges) used by a specific
        task. This endpoint does not require authentication.
      operationId: getUsedMmrs
      parameters:
        - name: uuid
          in: path
          description: The unique identifier (UUID) of the task
          required: true
          schema:
            type: string
      responses:
        '200':
          description: MMRs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskMmrsResponse'
        '404':
          description: Task not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    TaskMmrsResponse:
      type: object
      required:
        - taskId
        - mmrs
      properties:
        mmrs:
          type: array
          items:
            $ref: '#/components/schemas/MmrInfo'
        taskId:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        details:
          type:
            - string
            - 'null'
        error:
          type: string
        message:
          type:
            - string
            - 'null'
        taskId:
          type:
            - string
            - 'null'
    MmrInfo:
      type: object
      required:
        - id
        - root
        - size
        - chain_id
        - hashing_function
      properties:
        chain_id:
          type: string
        hashing_function:
          type: string
        id:
          type: string
        root:
          type: string
        size:
          type: string

````